Resent-Date: Mon, 1 Feb 1999 11:57:24 +0100 (MET)
Date: Mon, 1 Feb 1999 21:54:02 +1100 (EST)
From: Ken Tyler <kent@werple.net.au>
Reply-To: Ken Tyler <kent@werple.net.au>
Subject: virgefb blitter problem
To: linux-apus@sunsite.auc.dk
Cc: linux-m68k@lists.linux-m68k.org
Organization: Organization
Resent-From: linux-m68k@phil.uni-sb.de


Anyone attempting to use CV64-3d console in modes with horizontal and
vertical resolutions of 1024 and above may have noticed some screen
corruption :). 

Turning text acceleration off for those modes fixes it but it is very
slow.  Does not affect X.

A patch to do this :

--- linux/drivers/video/virgefb.c.save	Tue Feb  2 08:42:47 1999
+++ linux/drivers/video/virgefb.c	Tue Feb  2 08:43:25 1999
@@ -236,7 +236,7 @@
 	"1024x768-16", {         /* Cybervision 16 bpp */
 	    1024, 768, 1024, 768, 0, 0, 16, 0,
 	    {11, 5, 0}, {5, 6, 0}, {0, 5, 0}, {0, 0, 0},
-	    0, 0, -1, -1, FB_ACCELF_TEXT, VIRGE16_PIXCLOCK, 64, 96, 35, 12, 112, 2,
+	    0, 0, -1, -1, 0, VIRGE16_PIXCLOCK, 64, 96, 35, 12, 112, 2,
 	    FB_SYNC_COMP_HIGH_ACT|FB_SYNC_VERT_HIGH_ACT, FB_VMODE_NONINTERLACED
        }
     }, {
@@ -250,14 +250,14 @@
 	"1280x1024-16", {         /* Cybervision 16 bpp */
 	    1280, 1024, 1280, 1024, 0, 0, 16, 0,
 	    {11, 5, 0}, {5, 6, 0}, {0, 5, 0}, {0, 0, 0},
-	    0, 0, -1, -1, FB_ACCELF_TEXT, VIRGE16_PIXCLOCK, 64, 96, 35, 12, 112, 2,
+	    0, 0, -1, -1, 0, VIRGE16_PIXCLOCK, 64, 96, 35, 12, 112, 2,
 	    FB_SYNC_COMP_HIGH_ACT|FB_SYNC_VERT_HIGH_ACT, FB_VMODE_NONINTERLACED
        }
     }, {
 	"1600x1200-16", {         /* Cybervision 16 bpp */
 	    1600, 1200, 1600, 1200, 0, 0, 16, 0,
 	    {11, 5, 0}, {5, 6, 0}, {0, 5, 0}, {0, 0, 0},
-	    0, 0, -1, -1, FB_ACCELF_TEXT, VIRGE16_PIXCLOCK, 64, 96, 35, 12, 112, 2,
+	    0, 0, -1, -1, 0, VIRGE16_PIXCLOCK, 64, 96, 35, 12, 112, 2,
 	    FB_SYNC_COMP_HIGH_ACT|FB_SYNC_VERT_HIGH_ACT, FB_VMODE_NONINTERLACED
        }
     }

Ken.


